:root {
	--toc-color: #6100FF;
	--toc-bottom: 25px;
	--toc-right: 25px;
}

/*CONTROL*/
#toc-box-control {
	position: fixed;
	bottom: var(--toc-bottom);
	right: var(--toc-right);
	width: 56px;
	height: 56px;
	text-align: center;
	line-height: 56px;
	background-color: var(--toc-color);
	box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.2);
	z-index: 1001;
	border-radius: 50%;
	background-image: url('toc-icon.svg');
	background-position: center;
	background-repeat: no-repeat;
	background-size: 26px;
	cursor: pointer;
	transition: transform .3s, background-size .3s;
}

#toc-box-control.close {
	/* 	background-image: url('toc-icon-close.svg'); */
	background-size: 0px;
}

#toc-box-control:hover {
	transform: scale(1.1);
}

/*SVG*/
#toc-box-control svg {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate3d(-50%, -50%, 0) scale(0);
	opacity: 0;
	transition: transform .3s, opacity .3s;
}

#toc-box-control.close svg {
	opacity: 1;
	transform: translate3d(-50%, -50%, 0) scale(1);
}


/*CONTAINER*/
#toc-box-container {
	position: fixed;
	bottom: var(--toc-bottom);
	right: var(--toc-bottom);
	background: #fff;
	z-index: 1000;
	width: 300px;
	box-sizing: border-box;
	box-shadow: 0 15px 30px rgba(0, 0, 0, .08);
	border-radius: 0 0 28px 0;
	transform: translate3d(-25px, -25px, 0);
	transition: transform .5s;
	opacity: 1;
}

#toc-box-container::after {
	content: '';
	display: block;
	position: absolute;
	bottom: 0;
	left: 0;
	width: calc(100% - 20px);
	height: 50px;
	background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgb(255, 255, 255) 100%);
	z-index: 100;
}

#toc-box-container.hide {
	transform: translate3d(-10px, -10px, 0);
}

/*INNER*/
#inner-toc-box-container {
	max-height: calc(100vh - (var(--toc-bottom) * 2) - 25px);
	overflow-x: hidden;
}


/*OL*/
#toc-box {
	counter-reset: custom;
	margin: 50px 45px;
	width: 210px;
}

/*LI*/
#toc-box li.toc-title {
	padding-bottom: 22px;
	border-bottom: 1px solid rgba(0, 0, 0, .15);
	margin-bottom: 22px;
	list-style: none;
	counter-increment: custom;
	position: relative;
	padding-left: 35px;
	font-size: 14px;
	line-height: 21px;
}

/*
		ol#search-box ul li:first-child {
			counter-reset: custom;
		}
		*/

#toc-box li.toc-title:hover,
#toc-box li.toc-title.active-toc-link {
	font-weight: 600;
	font-size: 13.25px;
}

#toc-box li.toc-title:last-child {
	margin-bottom: 0;
	border: none;
	padding-bottom: 0;
}

#toc-box>li::before {
	content: counter(custom, decimal-leading-zero) " ";
	display: block;
	width: 20px;
	color: var(--toc-color);
	text-align: center;
	font-size: 14px;
	position: absolute;
	font-weight: bold;
	left: 0;
	top: 0;
}

/*A*/
#toc-box a.toc-ancor-link {
	text-decoration: none;
	color: inherit;
	color: var(--toc-color);
	display: inline-block;
}


/*LI > OL*/
#toc-box li.toc-title ol.children {
	margin: 0;
	list-style: none;
	font-weight: normal;
	max-height: 0;
	display: block;
	transition: max-height .6s;
	overflow: hidden;
}

#toc-box li.toc-title.active-toc-link ol.children {
	max-height: 1000px;
}

#toc-box li.toc-title ol.children li {
	margin-bottom: 8px;
	font-size: 12px;
	line-height: 18px;
	position: relative;
	padding-left: 12px;
}

#toc-box li.toc-title ol.children li:first-child {
	margin-top: 15px;
}

#toc-box li.toc-title ol.children li:last-child {
	margin-bottom: 0;
}

#toc-box li.toc-title ol.children li::before {
	content: '-';
	position: absolute;
	top: 0;
	left: 0;
}


.fireside-chat #toc-box-control,
.whitepapers #toc-box-control,
.webinar #toc-box-control,
.podcasts #toc-box-control,
.videos #toc-box-control,
.solution-briefs #toc-box-control,
.single-press_release #toc-box-control,
.events #toc-box-control,
.fireside-chat #toc-box-container,
.whitepapers #toc-box-container,
.webinar #toc-box-container,
.podcasts #toc-box-container,
.videos #toc-box-container,
.solution-briefs #toc-box-container,
.single-press_release #toc-box-container,
.events #toc-box-container {
	display: none;
}
